/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.1.1-b02-fcs 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2008.12.04 at 02:20:17 PM IST 
//

package org.apache.wink.webdav.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The <code>omit</code> XML element per the WebDAV specification [RFC 4918]
 * 
 * <pre>
 *    Name:       omit
 *    Namespace:  DAV:
 *    Purpose:    The omit XML element instructs the server that it should
 *    use best effort to copy properties but a failure to copy a property
 *    MUST NOT cause the method to fail.  Description: The default behavior
 *    for a COPY or MOVE is to copy/move all properties or fail the method.
 *    In certain circumstances, such as when a server copies a resource
 *    over another protocol such as FTP, it may not be possible to
 *    copy/move the properties associated with the resource. Thus any
 *    attempt to copy/move over FTP would always have to fail because
 *    properties could not be moved over, even as dead properties.  All DAV
 *    compliant resources MUST support the omit XML element on COPY/MOVE
 *    methods.
 * 
 *    &lt;!ELEMENT omit EMPTY &gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "omit")
public class Omit {

}
